curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_le8e811kzy4ggddlq&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.amazon.com/dp/B0CHHSFMRL"}]}'[
{
"url": "https://www.amazon.com/dp/B0FQFB8FMG",
"asin": "B0FQFB8FMG",
"reviewer_name": "John D.",
"rating": 5,
"review_title": "Best headphones I have ever owned",
"review_text": "Incredible sound quality and the noise cancellation is top-notch. Battery lasts for days on a single charge.",
"review_date": "2025-01-15T00:00:00.000Z",
"verified_purchase": true
}
]
Amazon
按URL收集评论
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_le8e811kzy4ggddlq&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.amazon.com/dp/B0CHHSFMRL"}]}'[
{
"url": "https://www.amazon.com/dp/B0FQFB8FMG",
"asin": "B0FQFB8FMG",
"reviewer_name": "John D.",
"rating": 5,
"review_title": "Best headphones I have ever owned",
"review_text": "Incredible sound quality and the noise cancellation is top-notch. Battery lasts for days on a single charge.",
"review_date": "2025-01-15T00:00:00.000Z",
"verified_purchase": true
}
]
查询参数
string
默认值:"gd_le8e811kzy4ggddlq"
必填
用于此请求的数据集ID。
必须设置为
gd_le8e811kzy4ggddlq 以收集按URL的评论数据。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求体
object[]
必填
[
{
"url": "https://www.amazon.com/dp/B0FQFB8FMG",
"asin": "B0FQFB8FMG",
"reviewer_name": "John D.",
"rating": 5,
"review_title": "Best headphones I have ever owned",
"review_text": "Incredible sound quality and the noise cancellation is top-notch. Battery lasts for days on a single charge.",
"review_date": "2025-01-15T00:00:00.000Z",
"verified_purchase": true
}
]
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Must be gd_le8e811kzy4ggddlq for this dataset.
Send notifications when the request is completed.
Include errors in the response.
请求体
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
响应
200 - application/json
OK. See response example below the parameters.
此页面对您有帮助吗?